Subject: Re: [ietf-dkim] draft-ietf-dkim-rfc4871bis

From: Dave CROCKER <[email-masked]>
Date: Wed, 15 Sep 2010 12:46:45 -0700

John, et al,

On 8/20/2010 10:31 AM, John Levine wrote:
> I went through it.  It's a very thorough piece of work.
>
> So far I only have two comments.

I haven't seen any other postings since John's almost a month ago.  It would be 
nice to make progress on this revision, since this ought to be an easy milestone 
for the working group to meet.

      *****

      Does anyone else have comments on the draft???

      *****

> Section 3.5, near the bottom of page 23:
>
>    Local- part MAY be drawn from a namespace that does not contain the
>     user's mailbox
>
> I'd suggest changing that to
>
>     Local- part MAY be drawn from a namespace unrelated to any mailbox.

Sounds reasonable to me.

> The document never says who "the user" is, and I see no advantage to
> language that implies that there is one.

I've scanned through the doc.  The word 'user' appears in a variety of contexts, 
including formal labels that were approved by the working group.

Some of the uses define their meaning adequately, IMO, and some could perhaps be 
a bit more clear.

Where the document mean "author" I suggest it say author.  Where the document 
means "end user who is causing a signature to be created" it should probably say 
something like that.

I'm not sure what other clarifications make sense, but it doesn't look as if we 
should try to avoid the word entirely.

> Section 7:
>
> Should this section reiterate all of the stuff in 4871, or since the
> IANA registry already exists, just say what if anything is different
> since 4871?  I don't know which is better.
>
> http://www.iana.org/assignments/dkim-parameters/dkim-parameters.xhtml

I believe there was going to be some background research on this, but the more 
I've thought about it, the more I believe that the new document should make no 
reference to the original document, except perhaps as a historical reference.

So, IMO, anything the original document defines -- including registries -- 
should be (re-)defined in the bis verison.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: "John R. Levine" <[email-masked]>
Date: 15 Sep 2010 16:00:02 -0400

> I've scanned through the doc.  The word 'user' appears in a variety of 
> contexts, including formal labels that were approved by the working group.
>
> Some of the uses define their meaning adequately, IMO, and some could perhaps 
> be a bit more clear.
>
> means "end user who is causing a signature to be created" it should probably 
> say something like that.
>
> I'm not sure what other clarifications make sense, but it doesn't look as if 
> we should try to avoid the word entirely.

My concern is that a lot of mail is created by software without the direct 
involvement of any individual person, e.g., transactions, autoresponders, 
and such.  I'd like to avoid an implication that each signature can be 
traced back to a person.

>> since 4871?  I don't know which is better. ...

Has anyone asked IANA which they prefer?  This situation, a new RFC 
replacing the one that defined a registry, surely has come up before.

R's,
John

---

From: Dave CROCKER <[email-masked]>
Date: Wed, 15 Sep 2010 13:03:57 -0700

On 9/15/2010 1:00 PM, John R. Levine wrote:
> Has anyone asked IANA which they prefer? This situation, a new RFC replacing the
> one that defined a registry, surely has come up before.

Well, yeah, that was in the pipeline, but your question prompted me to see if it 
could be resolved trivially, and indeed...

      <http://www.iana.org/protocols/>

      SMTP Service Extensions	RFC 5321

The current registry definition entry has the latest defining draft, not the 
original.

We of course should do the same.

d/
-- 

   Dave Crocker

---

From: "John R. Levine" <[email-masked]>
Date: 15 Sep 2010 16:20:32 -0400

For anyone interested in systems where party A attests to the identity of 
party B for the benefit of recipient C, this draft will shortly be issued 
as an RFC:

https://datatracker.ietf.org/doc/draft-gennai-smime-cnipa-pec/

It describes the the implementation of certified electronic mail in use in 
Italy, where certified e-mail is legally equivalent to certified paper 
mail.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Information Superhighwayman wanna-be, http://www.johnlevine.com, ex-Mayor
Please consider the environment before sending e-mail.
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Dave CROCKER <[email-masked]>
Date: Wed, 15 Sep 2010 13:34:36 -0700

On 9/15/2010 1:20 PM, John R. Levine wrote:
> Italy, where certified e-mail is legally equivalent to certified paper mail.

FWIW, here's the review I did of that draft:

    <http://www.ietf.org/mail-archive/web/apps-review/current/msg00286.html>

d/
-- 

   Dave Crocker

---

From: Jeff Macdonald <[email-masked]>
Date: Wed, 22 Sep 2010 15:18:07 -0400

>      Does anyone else have comments on the draft???

I just reviewed the diffs:

Section 3.9:

INFORMATIVE DISCUSSION: This document does not require the value	
of the SDID or AUID to match the identifier in any other message	
header field.

should "the identifier" be "an identifier"?

I cringed at SDID and AUID, but I don't have any better suggestions at
the moment.

Reviewing the flow of the document, I suggest moving section 2.7-2.11
to be after section 2.2.

-- 
Jeff Macdonald
Ayer, MA

---

From: Dave CROCKER <[email-masked]>
Date: Thu, 23 Sep 2010 10:19:28 -0700

Jeff,

Thanks...

> should "the identifier" be "an identifier"?

pretty subtle, but yeah, more precise/accurate.

> Reviewing the flow of the document, I suggest moving section 2.7-2.11

well, that's a pretty thoughtful suggestion...

To make sure I understand the intent:  move the set of subsections that 
introduce higher-level constructs, to come before the sub-sections that define 
syntactic elements?

Sounds like an improvement to me.

d/

-- 

   Dave Crocker

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Thu, 23 Sep 2010 10:34:22 -0700

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Dave CROCKER
> Sent: Thursday, September 23, 2010 10:19 AM
> To: Jeff Macdonald
> Cc: [email-masked]
> Subject: Re: [ietf-dkim] draft-ietf-dkim-rfc4871bis
> 
> [...]

Those edits work for me too.

---

From: "MH Michael Hammer (5304)" <[email-masked]>
Date: Thu, 23 Sep 2010 14:00:08 -0400

> From: [email-masked] [mailto:ietf-dkim-
> [email-masked]] On Behalf Of Jeff Macdonald
> Sent: Wednesday, September 22, 2010 3:18 PM
> To: [email-masked]

+1

---

From: Tony Hansen <[email-masked]>
Date: Thu, 23 Sep 2010 13:50:39 -0400

+1

---

From: Jeff Macdonald <[email-masked]>
Date: Thu, 23 Sep 2010 17:50:18 -0400

On Thu, Sep 23, 2010 at 1:19 PM, Dave CROCKER <[email-masked]> wrote:
> introduce higher-level constructs, to come before the sub-sections that
> define syntactic elements?
>

Yes and thanks!

-- 
Jeff Macdonald
Ayer, MA

---

From: John Levine <[email-masked]>
Date: 23 Sep 2010 23:07:45 -0000

>> Sounds like an improvement to me.

Seems unanimous.  Dave, do you have enough changes to do another
version?

R's,
John

---

From: Dave CROCKER <[email-masked]>
Date: Thu, 23 Sep 2010 21:27:52 -0700

> Seems unanimous.  Dave, do you have enough changes to do another

I was planning on waiting a couple of (work) days.

d/
-- 

   Dave Crocker